# -*- coding: utf-8 -*-

from django.db import transaction
from django.shortcuts import render
from django_logit import logit
from json_render import json_render

from utils.home_photo_utils import get_home_photos


@logit
@transaction.atomic
def mini_preview(request):
    return render(request, 'page/mini_preview.html', {})


@logit
@transaction.atomic
def mini_preview2(request):
    photos, session_photos, left = get_home_photos(request)

    return json_render(request, 'page/mini_preview2.html', {
        'session_photos': session_photos,
        'left': left,
    }, unjsondumpsdict={
        'session_photos': session_photos,
        'left': left,
    })
